%{?nodejs_find_provides_and_requires}

%global packagename micromatch
%global enable_tests 1

Name:		nodejs-micromatch
Version:	2.3.10
Release:	1%{?dist}
Summary:	Glob matching for javascript/node.js

License:	MIT
URL:		https://github.com/jonschlinkert/micromatch.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-3} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source3:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arr-diff)
BuildRequires:	npm(array-unique)
BuildRequires:	npm(braces)
BuildRequires:	npm(expand-brackets)
BuildRequires:	npm(extglob)
BuildRequires:	npm(filename-regex)
BuildRequires:	npm(is-glob)
BuildRequires:	npm(normalize-path)
BuildRequires:	npm(parse-glob)
BuildRequires:	npm(regex-cache)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Glob matching for javascript/node.js. A drop-in replacement and faster
alternative to minimatch and multimatch. Just use `micromatch.isMatch()`
instead of `minimatch()`, or use `micromatch()` instead of `multimatch()`.


%prep
%setup -q -n package
# setup the tests, docs, and examples
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc docs/ examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.10-1
- Update to upstream 2.3.10 release

* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.8-1
- Update to upstream 2.3.8 release

* Wed Feb  3 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.7-1
- Initial packaging
